/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

// colores globales de la apliación
$gris-claro-bg: #f0f0f0;
$gris-oscuro-text: #707070;

// fuente defaul de toda la aplicación
$font-family-defaul: "Roboto";

// Tamaños de letra
$font-size-titulos: 21px;

// Margenes genericos
.margin-top-50 {
  margin-top: 50px;
}

// titulos y subtitulos
.text-titulos-bold-negro {
  color: #2b231e;
  font-weight: bold;
  font-size: $font-size-titulos;
}

.text-titulos-bold-gris-oscuro {
  color: $gris-oscuro-text;
  font-weight: bold;
  font-size: $font-size-titulos;
}

.text-titulos-bold-azul {
  color: #3f9897;
  font-weight: bold;
  font-size: 20px;
}

.text-titulos-bold-azul-oscuro {
  font-weight: 500;
  color: #283d52;
}

.cont-opciones-cards-menu {
  color: #FFFFFF;
  font-size: 13px;
  font-weight: bold;
  text-align: center;
  padding: 20px 6px;

  ion-img {
    width: 60%;
    height: 90%;
    margin: auto;
  }
}

// estilos personalizados de IONIC y etiquetas de componentes
html.md {
  --ion-default-font: #{ $font-family-defaul };
}

html.ios {
  --ion-default-font: #{ $font-family-defaul };
}

ion-footer {
  background: $gris-claro-bg;
}